<!DOCTYPE html>
<html lang="de">
<head>
    <title>User Task Formular</title>
	<meta charset="UTF-8" />
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link rel="stylesheet" href="styles.css" />
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
    <h2>User Task Formular</h2>
    <form id="userTaskForm">
        <label for="inputData">Eingabedaten:</label><br/>
        <input type="text" id="inputData" name="inputData" /><br/>
        <input type="submit" value="Absenden" />
    </form>

    <script>
        $(document).ready(function() {
			var urlParams = new URLSearchParams(window.location.search);
			
            var taskId = urlParams.get('taskId');

            $('#userTaskForm').submit(function(e) {
                e.preventDefault();
                var inputData = $('#inputData').val();
                completeTask(taskId, inputData);
            });
        });

        function completeTask(taskId, inputData) {
            $.ajax({
                url: 'http://localhost:8080/engine-rest/task/' + taskId + '/complete',
                method: 'POST',
                contentType: 'application/json',
                data: JSON.stringify({
                    variables: {
                        user_input: { value: inputData, type: 'String' }
                    }
                }),
                success: function() {
                    alert('Task erfolgreich abgeschlossen!');
                },
                error: function() {
                    alert('Fehler beim Absenden des Formulars!');
                }
            });
        }
    </script>
</body>
</html>
